%define		_status		stable
%define		_pearname	Cache_Lite
Summary:	%{_pearname} - Fast and Safe little cache system
Summary(pl.UTF-8):	%{_pearname} - Szybki i bezpieczny system buforujący
Name:		php-pear-%{_pearname}
Version:	1.8.2
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	5a3bb30b288ec396e26cf041b5389923
URL:		http://pear.php.net/package/Cache_Lite/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear >= 4:1.0-21
Requires:	php-pear-PEAR-core
Obsoletes:	php-pear-Cache_Lite-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is a little cache system optimized for file containers.
It is fast and safe (because it uses file locking and/or
anti-corruption tests).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet zawiera mały system buforujący zoptymalizowany dla
kontenerów plików. Jest szybki i bezpieczny (ponieważ używa blokowania
plików i/lub testów anti-corruption).

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/{docs/*,TODO}
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/Cache/Lite
%{php_pear_dir}/Cache/*.php
%{php_pear_dir}/Cache/Lite/*.php
%changelog
* Mon May 18 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Cache_Lite.git;a=log;h=master

* Mon May 18 2020 Jan Rękorajski <baggins@pld-linux.org> 1cceb14
- release 2 (by relup.sh)

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7e15487
- drop obsolete and outdated manual inclusion of rpm macros

* Sun Oct 21 2018 Adam Gołębiowski <adamg@pld-linux.org> 38c9819
- updated to 1.8.2

* Thu Jun 19 2014 Elan Ruusamäe <glen@delfi.ee> 00b05bb
- up to 1.7.16

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> 5d728b0
- updated to: 1.7.15

* Thu Sep 15 2011 Elan Ruusamäe <glen@pld-linux.org> b904493
- updated to: 1.7.12

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 40a17e8
- updated to: 1.7.11

* Mon Apr 25 2011 Elan Ruusamäe <glen@pld-linux.org> f4f31be
- updated to: 1.7.9

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 3662360
- release 3

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> a7f3a7b
- dropped tests

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 8848a90
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 59049cb
- updated to: 1.7.8

* Sun Feb 01 2009 Adam Gołębiowski <adamg@pld-linux.org> c04a774
- updated to 1.7.6

* Fri Jan 23 2009 Adam Gołębiowski <adamg@pld-linux.org> e3bcdb4
- updated to 1.7.5

* Mon Jun 09 2008 Adam Gołębiowski <adamg@pld-linux.org> 27eea0f
- updated to 1.7.4

* Sat May 03 2008 Adam Gołębiowski <adamg@pld-linux.org> 32bd721
- updated to 1.7.3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> d31f881
- rel 3

* Thu Nov 22 2007 Elan Ruusamäe <glen@pld-linux.org> 7b034c2
- Cache dir in php-pear; rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cdc38b7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 28a1451
- converted to UTF-8

